export function filterAddressesByCase() {
    if (!document.getElementById('case-filter').value) {
        return;
    }
    fetch('/index.php/api/filter-address-by-case/' + document.getElementById('case-filter').value, {
        method: 'POST',
        header: {
            'Content-Type': 'application/json'
        }
    })
        .then(response => response.json())
        .then(result => {
            const addressList = document.getElementById('addressList');
            const origin = document.getElementById('origin');
            const destination = document.getElementById('destination');

            origin.innerHTML = '';
            destination.innerHTML = '';
            addressList.innerHTML = '';

            origin.innerHTML += '<option value="">-- Origin --</option>';
            destination.innerHTML += '<option value="0">-- Destination --</option>';

            result.forEach(a => {
                origin.innerHTML += `<option value='${a.id}'>${a.name}</option>`;
                destination.innerHTML += `<option value='${a.id}'>${a.name}</option>`;
                addressList.innerHTML += `
                <tr>
                    <td>
                        <div class='d-flex px-2 py-1'>
                            <div class='d-flex flex-column justify-content-center'>
                                <h6 class='mb-0 text-small'>
                                    ${a.name}
                                </h6>
                            </div>
                        </div>
                    </td>
                    <td>${a.formattedAddress}</td>
                    <td class='align-middle text-center text-xs'>${a.lat}/${a.lon}</td>
                    <td class='align-middle'>
                        <a href='/index.php/addresses/edit/${a.id}' title='Edit Address'>
                            <i class='material-symbols-rounded opacity-5'>edit</i>
                        </a>
                    </td>
                </tr>`;
            })
        });
}

